<?php
if (!defined('FORUM_ROOT'))
	define('FORUM_ROOT', './../../');

define('FORUM_SKIP_CSRF_CONFIRM', 1);
define('FORUM_DISABLE_CSRF_CONFIRM', 1);

require FORUM_ROOT.'include/common.php';
require FORUM_ROOT.'extensions/read_only_users/lang/'.$forum_user['language'].'/read_only_users.php';

if (isset($_GET['action']))
	define('FORUM_QUIET_VISIT', 1);

$action = isset($_GET['action']) ? $_GET['action'] : null;

if ($action == 'user_read_only' && count($_POST) > 0)
{
	$user_id = isset($_POST['id']) ? intval($_POST['id']) : 0;
	
	global $forum_db, $forum_user;
	
	if (($forum_user['is_admmod'] OR $forum_user['g_moderator'] == '1') && $user_id > 1 && $user_id != $forum_user['id']) {
		
		$query = array(
    	    'SELECT'	=> 'read_only',
		    'FROM'		=> 'users',
		    'WHERE'		=> 'id='.$user_id
        );
        $result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
		$ro_status = $forum_db->fetch_assoc($result);
		
		if ($ro_status['read_only'] == 0) {
			$ro_period = $_POST['time_day'].'-'.$_POST['time_month'].'-'.$_POST['time_year'];
            if ($ro_period != '0-0-0000')
            {
	            if ($_POST['time_day'] == '0' || $_POST['time_month'] == '0' || $_POST['time_year'] == '0000') {
		            $error = $read_only_users['Date format error'];
	            } else {
		            if (strtotime($ro_period) >= strtotime(date('d-m-Y', time()))) {
                        $expire = strtotime($ro_period);
                    } else {
                        $error = $read_only_users['The expiry date must be larger'];
	                }
	            }
            } else {
				$expire = 0;
	        }
		}
		
		if ($ro_status['read_only'] == 1 || isset($expire)) {
			
			if ($ro_status['read_only'] == 1) { $status = 0; $exp_date = 0; $message = $read_only_users['Read only mode disabled']; } else { $status = 1; $exp_date = $expire; $message = $read_only_users['Read only mode enabled']; }
		
		    $query = array(
			    'UPDATE'		=> 'users',
			    'SET'		    => 'read_only = '.$status.', read_only_expire = '.$exp_date,
			    'WHERE'			=> 'id = '.$user_id
		    );
		    $forum_db->query_build($query) or error(__FILE__, __LINE__);
			
			($hook = get_hook('read_only_users_fn_toggle_user_status')) ? eval($hook) : null;

			if ($status == '1' && $expire > 0) {
			    $e_date = date("j-n-Y", forum_htmlencode($expire));
            } else {
                $e_date = 0;
            }
			
		    $forum_flash->add_info($message);

		    echo json_encode(array('answer'=>'success', 'expire'=>$e_date));
				
	        die;
		} else {

            $r_box = '<div id="ro-error-box" class="main-content main-frm" style="border-bottom:1px solid aliceblue; margin:0">
	                      <div class="ct-box error-box">
			                  <h2 class="warn hn"><span>'.$read_only_users['RO errors head'].'</span></h2>
			                  <ul class="error-list"><li><span>'.$error.'</span></li></ul>
		                  </div>
	                  </div>';

            echo json_encode(array('answer'=>'error', 'error'=>$r_box));
				
	        die;
		}
    }
}

else if ($action == 'check_status')
{
	if (isset($_GET)) {
		
		global $forum_user, $forum_date_formats;
		
		if (!$forum_user['is_guest'] && $forum_user['read_only'] == '1') {
			if ($forum_user['read_only_expire'] > '0')
				$msg = $read_only_users['User info'].' '.sprintf($read_only_users['Expiry date mode'], format_time($forum_user['read_only_expire'], 1, $forum_date_formats[$forum_user['date_format']]));
			else
				$msg = $read_only_users['User info'];

			$r_box = '<div id="ro-info-box" class="main-content main-frm">
	                      <div class="ct-box error-box" style="padding: 17px;">
			                  <span>'.$msg.'</span>
		                  </div>
	                  </div>';

            echo json_encode(array('answer'=>'success', 'msg'=>$r_box));
				
	        die;
	    } else {
			echo json_encode(array('answer'=>false));
				
	        die;
		}
	}
}
